Delete Policy

Vulnerability Management APIs

delete /public_api/uvm_public/v1/delete_policy/{id}

Delete an existing vulnerability management policy using a policy ID.

Required license: Cortex Cloud Runtime Security or Cortex Cloud Posture Management

Path parameters
id UUID required
Example: 38400000-8cf0-11bd-b23e-10b96e4ef00d
Request headers
x-xdr-auth-id required
Authorization String required
Example: authorization_example
CLIENT REQUEST
curl -X 'DELETE'
-H 'Accept: application/json'
-H 'x-xdr-auth-id: ' -H 'Authorization: authorization_example'
'https://api-yourfqdn/public_api/uvm_public/v1/delete_policy/{id}'
import http.client conn = http.client.HTTPSConnection("api-yourfqdn") headers = { 'x-xdr-auth-id': "SOME_INTEGER_VALUE", 'Authorization': "SOME_STRING_VALUE" } conn.request("DELETE", "/public_api/uvm_public/v1/delete_policy/%7Bid%7D", headers=headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-yourfqdn/public_api/uvm_public/v1/delete_policy/%7Bid%7D") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Delete.new(url) request["x-xdr-auth-id"] = 'SOME_INTEGER_VALUE' request["Authorization"] = 'SOME_STRING_VALUE' response = http.request(request) puts response.read_body
const data = null; const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("DELETE", "https://api-yourfqdn/public_api/uvm_public/v1/delete_policy/%7Bid%7D"); xhr.setRequestHeader("x-xdr-auth-id", "SOME_INTEGER_VALUE"); xhr.setRequestHeader("Authorization", "SOME_STRING_VALUE"); xhr.send(data);
HttpResponse<String> response = Unirest.delete("https://api-yourfqdn/public_api/uvm_public/v1/delete_policy/%7Bid%7D") .header("x-xdr-auth-id", "SOME_INTEGER_VALUE") .header("Authorization", "SOME_STRING_VALUE") .asString();
import Foundation let headers = [ "x-xdr-auth-id": "SOME_INTEGER_VALUE", "Authorization": "SOME_STRING_VALUE" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/uvm_public/v1/delete_policy/%7Bid%7D")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-yourfqdn/public_api/uvm_public/v1/delete_policy/%7Bid%7D", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "DELETE", CURLOPT_HTTPHEADER => [ "Authorization: SOME_STRING_VALUE", "x-xdr-auth-id: SOME_INTEGER_VALUE" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "DELETE"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/uvm_public/v1/delete_policy/%7Bid%7D"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "x-xdr-auth-id: SOME_INTEGER_VALUE"); headers = curl_slist_append(headers, "Authorization: SOME_STRING_VALUE"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-yourfqdn/public_api/uvm_public/v1/delete_policy/%7Bid%7D"); var request = new RestRequest(Method.DELETE); request.AddHeader("x-xdr-auth-id", "SOME_INTEGER_VALUE"); request.AddHeader("Authorization", "SOME_STRING_VALUE"); IRestResponse response = client.Execute(request);
Responses

Successful Response

Body
application/json
boolean
RESPONSE
false

Validation Error

Body
application/json
detailarray
[
locarray
[
string
integer
]
msgstring
typestring
]
RESPONSE
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ] }